#define INCL_PM
#include <os2.h>
#include <ievent.hpp>
#include <kwinhdr.hpp>

Boolean KWindowHandler::dispatchHandlerEvent(IEvent& event)
{
   Boolean filtered = false;

   switch (event.eventId())
   {
      case WM_ADJUSTWINDOWPOS:
        filtered = adjustWindowPos(event);
        break;

      case WM_APPTERMINATENOTIFY:
        filtered = appTerminateNotify(event);
        break;

      case WM_BEGINDRAG:
        filtered = beginDrag(event);
        break;

      case WM_BEGINSELECT:
        filtered = beginSelect(event);
        break;

      case WM_BUTTON1MOTIONEND:
        filtered = button1MotionEnd(event);
        break;

      case WM_BUTTON1MOTIONSTART:
        filtered = button1MotionStart(event);
        break;

      case WM_BUTTON2MOTIONEND:
        filtered = button2MotionEnd(event);
        break;

      case WM_BUTTON2MOTIONSTART:
        filtered = button2MotionStart(event);
        break;

      case WM_BUTTON3MOTIONEND:
        filtered = button3MotionEnd(event);
        break;

      case WM_BUTTON3MOTIONSTART:
        filtered = button3MotionStart(event);
        break;

      case WM_CALCVALIDRECTS:
        filtered = calcValidRects(event);
        break;

      case WM_CONTEXTMENU:
        filtered = contextMenu(event);
        break;

      case WM_CONTROL:
        filtered = control(event);
        break;

      case WM_CONTROLPOINTER:
        filtered = controlPointer(event);
        break;

      case DM_DISCARDOBJECT:
        filtered = discardObject(event);
        break;

      case DM_DRAGERROR:
        filtered = dragError(event);
        break;

      case DM_DRAGFILECOMPLETE:
        filtered = dragFileComplete(event);
        break;

      case DM_DRAGLEAVE:
        filtered = dragLeave(event);
        break;

      case DM_DRAGOVER:
        filtered = dragOver(event);
        break;

      case DM_DRAGOVERNOTIFY:
        filtered = dragOverNotify(event);
        break;

      case WM_DRAWITEM:
        filtered = drawItem(event);
        break;

      case DM_DROP:
        filtered = drop(event);
        break;

      case DM_DROPHELP:
        filtered = dropHelp(event);
        break;

      case DM_EMPHASIZETARGET:
        filtered = emphasizeTarget(event);
        break;

      case DM_ENDCONVERSATION:
        filtered = endConversation(event);
        break;

      case WM_ENDDRAG:
        filtered = endDrag(event);
        break;

      case WM_ENDSELECT:
        filtered = endSelect(event);
        break;

      case WM_ERROR:
        filtered = error(event);
        break;

      case DM_FILERENDERED:
        filtered = fileRendered(event);
        break;

      case WM_FOCUSCHANGE:
        filtered = focusChange(event);
        break;

      case WM_HELP:
        filtered = help(event);
        break;

      case WM_HITTEST:
        filtered = hitTest(event);
        break;

      case WM_JOURNALNOTIFY:
        filtered = journalNotify(event);
        break;

      case WM_MATCHMNEMONIC:
        filtered = matchMnemonic(event);
        break;

      case WM_MINMAXFRAME:
        filtered = minMaxFrame(event);
        break;

      case WM_MOUSEMOVE:
        filtered = mouseMove(event);
        break;

      case WM_MOVE:
        filtered = move(event);
        break;

      case WM_NEXTMENU:
        filtered = nextMenu(event);
        break;

      case WM_NULL:
        filtered = null(event);
        break;

      case WM_OPEN:
        filtered = open(event);
        break;

      case WM_PACTIVATE:
        filtered = pActivate(event);
        break;

      case WM_PCONTROL:
        filtered = pControl(event);
        break;

      case WM_PPAINT:
        filtered = pPaint(event);
        break;

      case WM_PSETFOCUS:
        filtered = pSetFocus(event);
        break;

      case WM_PSIZE:
        filtered = pSize(event);
        break;

      case WM_PSYSCOLORCHANGE:
        filtered = pSysColorChange(event);
        break;

      case WM_PAINT:
        filtered = paint(event);
        break;

      case WM_PRESPARAMCHANGED:
        filtered = presParamChanged(event);
        break;

      case DM_PRINTOBJECT:
        filtered = printObject(event);
        break;

      case WM_QUERYACCELTABLE:
        filtered = queryAccelTable(event);
        break;

      case WM_QUERYCONVERTPOS:
        filtered = queryConvertPos(event);
        break;

      case WM_QUERYHELPINFO:
        filtered = queryHelpInfo(event);
        break;

      case WM_QUERYTRACKINFO:
        filtered = queryTrackInfo(event);
        break;

      case WM_QUERYWINDOWPARAMS:
        filtered = queryWindowParams(event);
        break;

      case WM_REALIZEPALETTE:
        filtered = realizePalette(event);
        break;

      case DM_RENDER:
        filtered = render(event);
        break;

      case DM_RENDERCOMPLETE:
        filtered = renderComplete(event);
        break;

      case DM_RENDERFILE:
        filtered = renderFile(event);
        break;

      case DM_RENDERPREPARE:
        filtered = renderPrepare(event);
        break;

      case WM_SEM1:
        filtered = sem1(event);
        break;

      case WM_SEM2:
        filtered = sem2(event);
        break;

      case WM_SEM3:
        filtered = sem3(event);
        break;

      case WM_SEM4:
        filtered = sem4(event);
        break;

      case WM_SETACCELTABLE:
        filtered = setAccelTable(event);
        break;

      case WM_SETFOCUS:
        filtered = focusSet(event);
        break;

      case WM_SETHELPINFO:
        filtered = setHelpInfo(event);
        break;

      case WM_SETSELECTION:
        filtered = setSelection(event);
        break;

      case WM_SETWINDOWPARAMS:
        filtered = setWindowParams(event);
        break;

      case WM_SHOW:
        filtered = shown(event);
        break;

      case WM_SINGLESELECT:
        filtered = singleSelect(event);
        break;

      case WM_SIZE:
        filtered = sized(event);
        break;

      case WM_SUBSTITUTESTRING:
        filtered = substituteString(event);
        break;

      case WM_SYSCOLORCHANGE:
        filtered = sysColorChange(event);
        break;

      case WM_SYSVALUECHANGED:
        filtered = sysValueChanged(event);
        break;

      case WM_TEXTEDIT:
        filtered = textEdit(event);
        break;

      case WM_TIMER:
        filtered = timer(event);
        break;

      case WM_TRACKFRAME:
        filtered = trackFrame(event);
        break;

      case WM_TRANSLATEACCEL:
        filtered = translateAccel(event);
        break;

      case WM_UPDATEFRAME:
        filtered = updateFrame(event);
        break;

      case WM_WINDOWPOSCHANGED:
        filtered = windowPosChanged(event);
        break;

      default:
         filtered = false;
         break;
   }
   return filtered;
}




